# GCC_NetworkAddress_subtype Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_aggregatedChannel, e_transportConnection, e_nonStandard }

## Public Member Functions

| GCC_NetworkAddress_subtype (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_NetworkAddress_subtype_aggregatedChannel & ()
| operator const GCC_NetworkAddress_subtype_aggregatedChannel & () const
| operator GCC_NetworkAddress_subtype_transportConnection & ()
| operator const GCC_NetworkAddress_subtype_transportConnection & () const
| operator GCC_NonStandardParameter & ()
| operator const GCC_NonStandardParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_NetworkAddress_subtype::Choices

Enumerator:

  e_aggregatedChannel |
  e_transportConnection |
  e_nonStandard |

## Constructor & Destructor Documentation

GCC_NetworkAddress_subtype::GCC_NetworkAddress_subtype | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_NetworkAddress_subtype::operator GCC_NetworkAddress_subtype_aggregatedChannel & | ( |  | ) |

GCC_NetworkAddress_subtype::operator const GCC_NetworkAddress_subtype_aggregatedChannel & | ( |  | ) | const

GCC_NetworkAddress_subtype::operator GCC_NetworkAddress_subtype_transportConnection & | ( |  | ) |

GCC_NetworkAddress_subtype::operator const GCC_NetworkAddress_subtype_transportConnection & | ( |  | ) | const

GCC_NetworkAddress_subtype::operator GCC_NonStandardParameter & | ( |  | ) |

GCC_NetworkAddress_subtype::operator const GCC_NonStandardParameter & | ( |  | ) | const

PBoolean GCC_NetworkAddress_subtype::CreateObject | ( |  | ) |

PObject* GCC_NetworkAddress_subtype::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h